# Uses of Enum Class
javafx.print.PrinterJob.JobStatus

Packages that use PrinterJob.JobStatus
Package
Description
javafx.print
Provides the public classes for the JavaFX Printing API.

## Uses of PrinterJob.JobStatus in javafx.print

Methods in javafx.print that return PrinterJob.JobStatus
Modifier and Type
Method
Description
`PrinterJob.JobStatus`
PrinterJob.`getJobStatus()`
Obtain the current status of the job.
`static PrinterJob.JobStatus`
PrinterJob.JobStatus.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PrinterJob.JobStatus[]`
PrinterJob.JobStatus.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javafx.print that return types with arguments of type PrinterJob.JobStatus
Modifier and Type
Method
Description
`ReadOnlyObjectProperty<PrinterJob.JobStatus>`
PrinterJob.`jobStatusProperty()`
A read only object property representing the current `JobStatus`